Package fr.gouv.vitam.common.model.administration.preservation

# Class GriffinByFormat

java.lang.Object
fr.gouv.vitam.common.model.administration.preservation.GriffinByFormat

public class GriffinByFormat extends Object
GriffinByFormat class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GriffinByFormat()`
  `GriffinByFormat(DefaultGriffin defaultGriffin)`
  `GriffinByFormat(@NotEmpty Set<String> formatList, @NotEmpty String griffinIdentifier, @NotEmpty List<ActionPreservation> actionDetail)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ActionPreservation>`
  `getActionDetail()`
  `Set<String>`
  `getFormatList()`
  `String`
  `getGriffinIdentifier()`
  `long`
  `getMaxSize()`
  `int`
  `getTimeOut()`
  `Boolean`
  `isDebug()`
  `void`
  `setActionDetail(List<ActionPreservation> actionDetail)`
  `void`
  `setDebug(Boolean debug)`
  `void`
  `setFormatList(Set<String> formatList)`
  `void`
  `setGriffinIdentifier(String griffinIdentifier)`
  `void`
  `setMaxSize(long maxSize)`
  `void`
  `setTimeOut(int timeOut)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GriffinByFormat

    public GriffinByFormat()

  - ### GriffinByFormat

    public GriffinByFormat(DefaultGriffin defaultGriffin)

  - ### GriffinByFormat

    public GriffinByFormat(@NotEmpty @NotEmpty Set<String> formatList, @NotEmpty @NotEmpty String griffinIdentifier, @NotEmpty @NotEmpty List<ActionPreservation> actionDetail)

- ## Method Details

  - ### getFormatList

    public Set<String> getFormatList()

  - ### setFormatList

    public void setFormatList(Set<String> formatList)

  - ### getGriffinIdentifier

    public String getGriffinIdentifier()

  - ### setGriffinIdentifier

    public void setGriffinIdentifier(String griffinIdentifier)

  - ### getTimeOut

    public int getTimeOut()

  - ### setTimeOut

    public void setTimeOut(int timeOut)

  - ### getMaxSize

    public long getMaxSize()

  - ### setMaxSize

    public void setMaxSize(long maxSize)

  - ### isDebug

    public Boolean isDebug()

  - ### setDebug

    public void setDebug(Boolean debug)

  - ### getActionDetail

    public List<ActionPreservation> getActionDetail()

  - ### setActionDetail

    public void setActionDetail(List<ActionPreservation> actionDetail)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`